@echo off
cd ..

rem ### CLEAN MAIN DIR

del *.dll /q
del *.exe /q
del *.suo /q /A:h
del *.ncb /q
del *.user /q
del *.ilk /q
del *.pdb /q
del *.log /q 

rem ### CLEAN LOGS

if exist log (
cd log
del * /q
cd ..
)

rem ### CLEAN OBJ DIR

if exist _obj (
rmdir _obj /q /s
)

rem ### CLEAN DOCS DIR

if exist _docs (
rmdir _docs /q /s
)

rem ### CLEAN LIBRARIES

if exist _Libraries (

cd _Libraries

	## TINY XML

	if exist TinyXml (

		cd TinyXml

		del *.dll /q
		del *.exe /q
		del *.suo /q /A:h
		del *.ncb /q
		del *.user /q
		del *.ilk /q
		del *.pdb /q
		del *.log /q 
		
		if exist obj (
			rmdir obj /q /s
		)

		if exist lib (
			rmdir lib /q /s
		)

		cd ..
	)


cd ..

)
